-- +-----------------------------+
-- | Copyright 1995-1996 DOULOS  |
-- |       Library: memory       |
-- |    designer : Tim Pagden    |
-- |     opened: 26 Nov 1995     |
-- +-----------------------------+

-- Architectures:
--   12.02.96 original      PASSED SIMULATION

library memory;

architecture original of sram_64k_16 is
  use memory.sram_core_GENERIC_cmpt.all;

  constant address_width : integer := 16;
  constant data_width : integer := 16;
  
  attribute dnh_file_name : string(1 to 12);
  attribute dnh_file_name of sram_64k_16 : entity is architecture_DNH_filename; 

begin

  G1: sram_core_GENERIC 
    generic map (
      address_width => address_width,
      data_width => data_width
    )
    port map (
      address => address, 
      CS => CS, 
      WE => WE, 
      OE => OE, 
      data_in => data_in, 
      data_out => data_out
    );
  
end original;
